Package org.eclipse.emf.cdo.lm

# Interface FixedBaseline

All Superinterfaces:
  `Baseline`, `CDOObject`, `CDOWithID`, `EObject`, `ModelElement`, `ModuleElement`, `Notifier`, `StreamElement`, `SystemElement`

All Known Subinterfaces:
  `Delivery`, `Drop`

All Known Implementing Classes:
  `DeliveryImpl`, `DropImpl`, `FixedBaselineImpl`

public interface FixedBaseline extends Baseline
A representation of the model object 'Fixed Baseline'.

See Also:
  - `LMPackage.getFixedBaseline()`
Generated
Model
  abstract="true"
No Implement
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Version`
  - `Dependencies`
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.lm.Baseline

`COMPARATOR`

## Method Summary

Modifier and Type
Method
Description
`EList<Change>`
`getBasedChanges()`
`EList<Dependency>`
`getDependencies()`
Returns the value of the 'Dependencies' containment reference list.
`Version`
`getVersion()`
Returns the value of the 'Version' attribute.
`void`
`setVersion(Version value)`
Sets the value of the '`Version`' attribute.

### Methods inherited from interface org.eclipse.emf.cdo.lm.Baseline

`getBaseTimeStamp, getBranchPoint, getName, getStream, getTypeAndName, getTypeName, isFloating, setStream`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.cdo.lm.ModuleElement

`getModule`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.SystemElement

`getSystem`

## Method Details

### getVersion

Version getVersion()
Returns the value of the 'Version' attribute.

Returns:
  the value of the 'Version' attribute.
See Also:
  - `setVersion(Version)`
  - `LMPackage.getFixedBaseline_Version()`
Generated
Model
  dataType="org.eclipse.emf.cdo.lm.modules.Version" required="true"

### setVersion

void setVersion(Version value)
Sets the value of the '`Version`' attribute.

Parameters:
  `value` - the new value of the 'Version' attribute.
See Also:
  - `getVersion()`
Generated

### getDependencies

EList<Dependency> getDependencies()
Returns the value of the 'Dependencies' containment reference list. The list contents are of type `Dependency`.

Returns:
  the value of the 'Dependencies' containment reference list.
See Also:
  - `LMPackage.getFixedBaseline_Dependencies()`
Generated
Model
  containment="true"

### getBasedChanges

EList<Change> getBasedChanges()

Generated
Model
  kind="operation"